## fglrx-installer-updates 9.000

=== debian/changelog ===
fglrx-installer-updates (2:9.000-0ubuntu3) quantal; urgency=low

  * debian/rules:
    - Correct the path to Qt libraries on i386.

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 29 Sep 2012 20:45:08 +0200

fglrx-installer-updates (2:9.000-0ubuntu2) quantal; urgency=low

  * debian/rules:
    - Make sure that all binaries in /usr/bin are executable.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 27 Sep 2012 15:36:59 +0200

fglrx-installer-updates (2:9.000-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1032672).
  * debian/dkms.conf.in:
    - Do not apply any kernel patch
  * debian/rules:
    - Make it possible to set the xserver ABIs in debian/substvars.
  * Merge fixes from the upstream installer:
    - Fix openCL issues running x86 binaries on x86_64.
    - Make sure that dh_shlibdeps doesn't complain about missing qt
      libraries.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 26 Sep 2012 16:49:27 +0200

fglrx-installer-updates (2:8.982-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1039397).
  * debian/control:
    - Conflict with/replace/provide nvidia and fglrx. This will make
      sure that other binary drivers cannot be installed at the same
      time. This is required by the new restricted drivers UI.
  * debian/rules:
    - Make sure to call the "serverabi" phony target.
    - Hardcode the X ABI to 11.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 10 Sep 2012 11:03:55 +0200

fglrx-installer-updates (2:8.960-0ubuntu6) quantal; urgency=low

  [ Stéphane Graber ]
  * Only purge the package if nothing else provides fglrx
    (LP: #949641).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 01 Aug 2012 12:08:18 +0200

fglrx-installer-updates (2:8.960-0ubuntu5) quantal; urgency=low

  * debian/control:
    - Make sure that ${xviddriver:Depends} is actually replaced
      with its value.
  * debian/rules:
    - Make sure to call the serverabi target.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 03 Jul 2012 18:07:45 +0200

fglrx-installer-updates (2:8.960-0ubuntu4) quantal; urgency=low

  * Rename build to build-arch and make build depend on build-arch.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 02 Jul 2012 17:33:10 -0600

fglrx-installer-updates (2:8.960-0ubuntu3) quantal; urgency=low

  * fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch:
    - Update patch so as to make sure to include
      asm/fpu-internal.h (LP: #1017822).

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 30 Jun 2012 11:37:33 +0200

fglrx-installer-updates (2:8.960-0ubuntu2) quantal; urgency=low

  * replace-do_mmap-and-do_munmap-with-vm_mmap-and-vm_mu.patch,
    replace-for_each_cpu_mask-with-for_each_possible_cpu.patch:
    - Add support for Linux 3.5.

 -- Alberto Milone <alberto.milone@canonical.com>  Sun, 17 Jun 2012 17:23:42 +0200

fglrx-installer-updates (2:8.960-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Fix issue with XVideo in the new xserver (LP: #921384).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 22 Mar 2012 17:29:41 +0100

fglrx-installer-updates (2:8.911-0ubuntu1) precise; urgency=low

  * New upstream release (11-11).
  * debian/fglrx-updates.install.in,
    debian/fglrx-updates.dirs.in,
    debian/fglrx-updates.links.in,
    debian/fglrx-updates.postinst.in, debian/rules:
    - Install OpenCL libraries.
    - Make sure to use the multiarch path to the Mesa libraries.
      This (partially) solves an issue with PXpress which
      couldn't find the Mesa libraries (LP: #813809).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 25 Nov 2011 15:12:22 +0100

fglrx-installer-updates (2:8.881-0ubuntu7) precise; urgency=low

  * debian/fglrx-updates.prerm.in:
    - Make sure to remove the correct alternatives on package
      removal (LP: #855943).
    - Call ldconfig with the NOTRIGGER environment variable
      as in the postinst.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 25 Oct 2011 17:51:23 +0200

fglrx-installer-updates (2:8.881-0ubuntu6) oneiric; urgency=low

  * Re-enable grub fb and drop the initramfs hook in favour of
    "alias nouveau/lbm_nouveau off" (LP: #864149).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 10 Oct 2011 18:51:26 +0200

fglrx-installer-updates (2:8.881-0ubuntu5) oneiric; urgency=low

  * debian/rules, debian/modaliases/fglrx_supported:
    - Make sure that the module alias is always correct and
      uses underscores instead of hyphens (LP: #855396).
    - Make the grub-gfxpayload file a template and blacklist
      all AMD cards so that Grub doesn't set a framebuffer
      which prevents recovery mode from working (LP: #854967).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 30 Sep 2011 15:36:28 +0200

fglrx-installer-updates (2:8.881-0ubuntu4) oneiric; urgency=low

  * debian/rules:
    - Make sure to install the correct modaliases file so that
      the driver can be detected by Jockey (LP: #855396).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 23 Sep 2011 13:28:49 +0200

fglrx-installer-updates (2:8.881-0ubuntu3) oneiric; urgency=low

  * debian/rules:
    - Add an initramfs hook to make sure that nothing else loads
      open graphics drivers in the initramfs (LP: #839524).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 08 Sep 2011 18:11:28 +0200

fglrx-installer-updates (2:8.881-0ubuntu2) oneiric; urgency=low

  * debian/dkms.conf.in:
    - Disable replace-global-lock-with-a-driver-specific-mutex.patch
      now that the problem is fixed in the upstream driver
      (LP: #827652). Thanks to Daniel van Vugt for suggesting the
      fix.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 02 Sep 2011 17:03:49 +0200

fglrx-installer-updates (2:8.881-0ubuntu1) oneiric; urgency=low

  * New upstream release 8.881 (11-8).
  * debian/rules:
    - Make sure to use LICENSE instead of ATI_LICENSE, as it

