## fglrx-installer-updates 9.010

=== debian/changelog ===
fglrx-installer-updates (2:9.010-0ubuntu5) raring; urgency=low

  * debian/rules:
    - Make sure that build calls build-arch (as it used to do).
    - Separate regen-from-templates from build.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 22 Jan 2013 16:18:23 +0100

fglrx-installer-updates (2:9.010-0ubuntu4) raring; urgency=low

  * debian/rules:
    - Revert change to separate regen-from-templates from
      the build target. This fixes a FTBFS.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 21 Jan 2013 16:49:43 +0100

fglrx-installer-updates (2:9.010-0ubuntu3) raring; urgency=low

  * debian/control{.in}:
    - Restore the previous conflict/replace/provide dropped
      by mistake.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 17 Jan 2013 18:02:13 +0100

fglrx-installer-updates (2:9.010-0ubuntu2) raring; urgency=low

  * debian/control{.in}:
    - Remove whitespace.
    - Conflict/replace/provide other flavours.
    - Drop all the dependencies on the linux-headers.
  * debian/rules:
    - Separate regen-from-templates from build.
    - Automate debian/control generation.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 17 Jan 2013 17:09:35 +0100

fglrx-installer-updates (2:9.010-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/dkms.conf.in,
    replace-archdata.acpi_handle-with-acpi_node.handle.patch:
    - Add support for Linux 3.8 (LP: #1095755).
      Thanks to Robert Hooker for the patch.
  * debian/substvars:
    - Remove versioned dependency on xserver-xorg-core.
  * debian/10fglrx.in, debian/rules:
    - Fix paths which prevented OpenGL operations on hybrid systems
      on amd64 (LP: #1068661). Thanks to Nick Andrik for the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 08 Jan 2013 16:20:31 +0100

fglrx-installer-updates (2:9.000-0ubuntu5) raring; urgency=low

  * debian/control:
    - Conflict/replace/provide new nvidia flavours.
    - Depend on other flavours of kernel headers.
  * debian/10fglrx.in:
    - Fix path for powerxpress (LP: #1068661). Thanks
      to Nick Andrik and Lu Xingzhe for suggesting
      the fix.

  [ Benjamin Kerensa ]
  * debian/control:
    - Add ${misc:Depends} depends as needed.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 07 Dec 2012 15:55:20 +0100

fglrx-installer-updates (2:9.000-0ubuntu4) raring; urgency=low

  * debian/dkms.conf.in,
    replace-VM_RESERVED-with-VM_DONTEXPAND-and-VM_DONTDU.patch:
    - Add support for Linux 3.7 (LP: #1075937).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 07 Nov 2012 16:28:50 +0100
