=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,11 @@
 PATH := $(PATH):/usr/sbin
 
 # Package names
-PKG_driver      := fglrx-updates
-PKG_driver_dev  := fglrx-updates-dev
-PKG_control     := fglrx-amdcccle-updates
+PKG_flavour     := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p' | sed 's/fglrx\-installer\-//g')
+PKG_driver      := fglrx-$(PKG_flavour)
+PKG_driver_dev  := $(PKG_driver)-dev
+PKG_control     := fglrx-amdcccle-$(PKG_flavour)
+PKG_source      := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 PKG_module      := $(shell echo "$(PKG_driver)" | sed s/\-/_/g)
 
 # Priority of the alternatives
@@ -113,7 +115,7 @@
 	cat usr/share/doc/fglrx/LICENSE.TXT >> debian/copyright
 	cat debian/copyright_stub_1 >> debian/copyright
 
-clean: refresh_copyright
+clean: refresh_copyright regen-from-templates
 	# remove any file generated from a template
 	for file in *.in; do \
 		# strip only the last .in from the name \
@@ -124,11 +126,11 @@
 
 	dh clean
 
-
-build: build-arch
-build-arch:
+.PHONY: regen-from-templates
+regen-from-templates:
 	#Create important strings
 	for i in 10fglrx \
+			 control \
 			 dkms.conf \
 			 $(PKG_driver).install \
 			 $(PKG_driver_dev).install \
@@ -169,6 +171,7 @@
 			-e "s|#DRIVERDIRNAME#|$(PKG_dirname)|g" \
 			-e "s|#DRIVERDEVNAME#|$(PKG_driver_dev)|g" \
 			-e "s|#DRIVERSRCNAME#|$(PKG_source)|g" \
+			-e "s|#FLAVOUR#|$(PKG_flavour)|g" \
 			-e "s|#DRIVERCTRLNAME#|$(PKG_control)|g" \
 			-e "s|#INCLUDEDIR#|$(includedir)|g" \
 			-e "s|#PKGLIBCONFDIR#|$(PKG_libconfdir)|g" \
@@ -192,6 +195,8 @@
 			debian/$$i.in > debian/$$i;      \
 	done
 
+build: build-arch
+build-arch: regen-from-templates
 	# remove exec bit on everything
 	find arch \
 		etc \
@@ -228,9 +233,3 @@
 ifeq ($(DEB_HOST_ARCH),amd64)
 	dh_install -p$(PKG_driver)    "arch/x86/usr/X11R6/lib/libAMD*.so*"           "$(PKG_libdir32)"
 	dh_install -p$(PKG_driver) "arch/x86/usr/X11R6/lib/*.*"           "$(PKG_libdir32)"
-	dh_install -p$(PKG_driver) "arch/x86/usr/X11R6/lib/fglrx/*.so*"     "$(PKG_libdir32)"
-	dh_installdirs -p$(PKG_driver) "$(PKG_libdir32)"
-	dh_install -p$(PKG_driver) "arch/x86/usr/X11R6/lib/modules/dri"     "$(PKG_libdir32)"
-	dh_install -p$(PKG_driver) "arch/x86/usr/lib/*.so*"                 "$(PKG_libdir32)"
-
-	# Install the QT libraries
