## fglrx-installer-updates 13.350.1

=== debian/changelog ===
fglrx-installer-updates (2:13.350.1-0ubuntu2) trusty; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_3.14.patch:
    - Add support for Linux 3.14.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 04 Apr 2014 16:48:10 +0200

fglrx-installer-updates (2:13.350.1-0ubuntu1) trusty; urgency=medium

  * New upstream release (14.3):
    - [394848] - Xorg crashed 160 playing AVI video file in VLC
      player or Parole player (LP: #1279412).
    - [394705] - "Nexuiz - Demo3" Ubuntu performance lower than
      Redhat.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 19 Mar 2014 11:22:53 +0100

fglrx-installer-updates (2:13.350-0ubuntu1) trusty; urgency=low

  * debian/dkms.conf.in:
    - Drop all the patches.
  * debian/substvars:
    - Add support for X ABI 15.
  * New upstream release (14.1):
    - [386897]: System hang on resume from S4 with OpenGL screen
      saver running.
    - [387678]: Backtrace occurs when kill X.
    - [387664]: Failed to start X without kernel module loaded.
    - [378620]: OpenCL test failure in CrossFire Mode.
    - [386945]: piglit test "spec/ARB_copy_buffer/overlap" failed.
    - [386710]: piglit test "spec/ARB_draw_buffers_blend" failed.
    - [386818]: piglit test "spec/OpenGL 2.0/depth-tex-modes-glsl"
      failed.
    - [386941]: piglit test "spec/ARB_blend_func_extended" failed.
    - [386903]: piglit test "spec/OpenGL 3.0/gl-3.0-required-sized-
      texture-formats" failed.
    - [386840]: Viewport goes blank when mouse cursor leaves when run
      Houdini on Ubuntu.
    - [387596]: piglit test "spec/ARB_framebuffer_object (fbo-
      scissor-blit)" failed.
    - [389174]: Failed to get fan speed on Bonaire card.
    - [388110]: Intermittent flashing problem when running at
      2560x1600.
    - [372656]: Crash when resizing Konsole.
    - [388325]: Brightness cannot be adjusted on Ubuntu 12.04 LTS.
    - [388330]: piglit test "spec/ARB_framebuffer_object (fbo-blit-
      stretch)" failed.
    - [385457]: Blue/white screen after using Google-chrome to run
      fishietank.
    - [388500]: piglit test "spec/EXT_texture_integer" failed.
    - [388802]: piglit test "spec/ARB_map_buffer_alignment" failed.
    - [386396]: piglit test "spec/ARB_depth_buffer_float/fbo-
      depthstencil-drawpixels" failed.
    - [389431]: Screens are distorted when connecting an external
      monitor on some Haswell platforms.
    - [389530]: Blank screen/crash observed while running unigine
      heaven benchmark in windowed mode.
    - [387124]: OpenCL performance drop observed on Hawaii compared
      to Tahiti XT.
    - [386940]: piglit test "spec/EXT_texture_sRGB" failed.
    - [392137]: [SteamOS] Failed to return to desktop from steam.
    - [392015]: [SteamOS] Screen is locked when changing user.
    - [392014]: [SteamOS] Failed to login Steam sometimes.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 04 Feb 2014 12:50:28 +0100

fglrx-installer-updates (2:13.125-0ubuntu2) trusty; urgency=low

  * debian/dkms.conf.in, debian/dkms/patches/buildfix_kernel_3.13.patch:
    - Add support for Linux 3.13.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 08 Jan 2014 17:12:22 +0100

fglrx-installer-updates (2:13.125-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - [384861] Ultra slow dota2 fps.
    - [383176] System hang when startx after enable Eyefinity.
    - [383109] System hang when run Unigine Heaven 4.0.
    - [382494] Screen corruption when run C4Engine with
      GL_ARB_texture_array enabled.
    - [384193] Fix the procfs permission issue on kernel 3.10
      and later.
    - [373812] System hang when run some OpenGL stress test.
    - [383430] Glxtest failed with force AA.
    - [383372] Fail to launch cairo-dock.
    - [384509] glClientWaitSync is waiting even when timeout
      is 0.
    - [383573] AC/DC switching is broken.
    - [384194] Tear-Free Desktop sets V-Sync to 30Hz instead
      of 60Hz.
    - [385123] CrossFire aspect observed in CCCLE where it
      should not.
    - [385414] Steam crashes and games hang on a black screen
      when Force AA is on.
    - [387027] Glxtest failed on SLED11 SP3.
    - [382079] MARI crash with weird stack.
    - [387797] X crash when kill X with Xserver 1.13 and 1.14.
    - [389431] Screens are distorted when connecting an
      external monitor on some PowerXpress platform with Intel
      Haswell.
    - [389728] Segfault after disabling display on re-launch
      of CCCLE.
    - [387573] Soft hang and error observed on BasicDebug
      sample for OpenCL when run on x86.
    - [385704] Black window when run glxgears with TWM.
    - [376115] Display corruption when using rotation.
  * debian/dkms.conf.in:
    - Drop procfs patch.
  * debian/dkms/patches/replace_acpi_table_handler.patch:
    - Fix build issues with Linux >= 3.9.1 (only required
      by driver 13.125).
  * debian/fglrx-updates.dirs.in:
    - Add path to xorg modules.
    - Add /usr/share/applications.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 19 Dec 2013 17:08:28 +0100

fglrx-installer-updates (2:13.101-0ubuntu4) trusty; urgency=low

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_3.12.patch:
    - Add support for Linux 3.12.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 04 Nov 2013 22:28:52 +0100
