=== debian/control ===
--- 
+++ 
@@ -27,22 +27,9 @@
 Recommends: fglrx-amdcccle-updates
 Depends: ${shlibs:Depends}, lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
  ${xviddriver:Depends}, ${misc:Depends}
-Conflicts: fglrx-driver, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source,
- libamdxvba1, fglrx-modaliases, nvidia-experimental, nvidia-current,
- nvidia-current-updates, nvidia-173, nvidia-173-updates, nvidia-96,
- nvidia-96-updates, fglrx, nvidia-304, nvidia-304-updates, nvidia-310,
- nvidia-310-updates, nvidia-experimental-304, nvidia-experimental-310
-Replaces: fglrx-driver, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source,
- libamdxvba1, fglrx-modaliases, fglrx, nvidia-current-modaliases,
- nvidia-180-modaliases, nvidia-185-modaliases, nvidia-experimental,
- nvidia-current, nvidia-current-updates, nvidia-173, nvidia-173-updates,
- nvidia-96, nvidia-96-updates, fglrx, nvidia-304, nvidia-304-updates,
- nvidia-310, nvidia-310-updates, nvidia-experimental-304,
- nvidia-experimental-310
-Provides: fglrx-driver, nvidia-current, nvidia-current-updates, nvidia-experimental,
- nvidia-173, nvidia-173-updates, nvidia-96, nvidia-96-updates, fglrx,
- nvidia-304, nvidia-304-updates, nvidia-310, nvidia-310-updates,
- nvidia-experimental-304, nvidia-experimental-310, ${xviddriver:Provides}
+Provides: fglrx-driver, xorg-driver-binary, ${xviddriver:Provides}
+Conflicts: fglrx-driver, xorg-driver-binary
+Replaces: fglrx-driver, xorg-driver-binary
 XB-Modaliases: ${modaliases}
 Description: Video driver for the AMD graphics accelerators
  Video driver for the AMD Radeon and FireGL graphics accelerators.
