## fglrx-installer-updates 14.201

=== debian/changelog ===
fglrx-installer-updates (2:14.201-0ubuntu2) utopic; urgency=medium

  * debian/fglrx-updates-core.postinst.in, debian/fglrx-updates-core.postrm.in,
    debian/rules:
    - Avoid alternatives clash caused by the addition of the
      fglrx-core package.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 14 Oct 2014 15:27:06 +0200

fglrx-installer-updates (2:14.201-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control.in, debian/com.ubuntu.amdcccle.pkexec.policy:
    - Make amdcccle depend on polkit-1.
    - Use pkexec for amdcccle when running Unity.
  * debian/dkms.conf.in:
    - Drop all the patches.
  * debian/substvars:
    - Add support for xorg-video-abi-18 (LP: #1359769).
  * debian/71-fglrx.rules:
    - Tag the device for logind (LP: #1365336).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 09 Sep 2014 18:00:48 +0200

fglrx-installer-updates (2:13.350.1-0ubuntu4) utopic; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_3.15.patch:
    - Add support for Linux 3.15.
  * debian/patches/call-amdcccle-with-full-path.diff:
    - Pass amdxdg the full path.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 27 Jun 2014 17:04:33 +0200

fglrx-installer-updates (2:13.350.1-0ubuntu3) utopic; urgency=medium

  * debian/dkms.conf.in:
    - Correct a typo that caused an incorrect dkms.conf to be
      generated from the template.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 25 Jun 2014 16:11:11 +0200
