=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Copyright (C) 2005-2006 Aric Cyr
 # Copyright (C) 2007-2010 Mario Limonciello
 # Copyright (C) 2009-2011 Canonical Ltd.
-
+DH_VERBOSE=1
 # Figure out some magic versioning
 CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1 | cut -d\: -f2)
 DVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d\: -f2)
@@ -15,24 +15,37 @@
 		echo "$(DEB_HOST_MULTIARCH)" | sed s/i386/x86_64/ || \
 		echo "$(DEB_HOST_MULTIARCH)" | sed s/x86_64/i386/)
 
+# Fallback for local debuild
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
 # Hack for pbuild which would otherwise fail to call execstack
 PATH := $(PATH):/usr/sbin
 
 # Package names
 PKG_flavour     := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p' | sed 's/fglrx\-installer\-//g')
-PKG_driver      := fglrx-$(PKG_flavour)
+# If it's the standard flavour then we set the flavour to ""
+ifeq ("$(PKG_flavour)", "fglrx-installer")
+	PKG_flavour := ""
+else
+	PKG_flavour := "-$(PKG_flavour)"
+endif
+PKG_driver      := fglrx$(PKG_flavour)
 PKG_driver_dev  := $(PKG_driver)-dev
-PKG_control     := fglrx-amdcccle-$(PKG_flavour)
+PKG_driver_core := $(PKG_driver)-core
+PKG_control     := fglrx-amdcccle$(PKG_flavour)
 PKG_source      := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 PKG_module      := $(shell echo "$(PKG_driver)" | sed s/\-/_/g)
 
 # Priority of the alternatives
 alt_priority         := 1001
 PX_alt_priority      := 901
+CORE_priority        := $(alt_priority)
+UNBLKLST_CORE_priority  := $(PX_alt_priority)
 
 #Directory naming schemes
 PKG_dirname          := fglrx
 bindir               := usr/bin
+sbindir              := usr/sbin
 datadir              := usr/share
 PKG_datadir          := $(datadir)/$(PKG_dirname)
 libdir               := usr/lib
@@ -58,7 +71,6 @@
 PKG_bugdir           := usr/share/bug/$(PKG_dirname)
 autostartdir         := etc/xdg/autostart
 PKG_autostartdir     := $(PKG_configdir)
-grub_blacklistdir    := usr/share/grub-gfxpayload-lists/blacklist
 
 PKG_xmoddir  := $(PKG_libdir)/xorg/modules
 
@@ -71,6 +83,17 @@
 PX_ld_so_conf := $(PX_dir)/$(ld_so_conf_file)
 PX_ld_so_conf_alt := $(PX_dir)/$(alt_ld_so_conf_file)
 
+CORE_dirname := fglrx-core
+CORE_dir     := $(libdir)/$(CORE_dirname)
+CORE_dir32     := $(libdir32)/$(CORE_dirname)
+CORE_ld_so_conf := $(CORE_dir)/$(ld_so_conf_file)
+CORE_libdir := $(CORE_dir)/lib
+CORE_libdir32 := $(CORE_dir32)/lib
+
+# This is remove fglrx from the blacklist
+UNBLKLST_CORE_ld_so_conf_file  := unblacklist_ld.so.conf
+UNBLKLST_CORE_ld_so_conf := $(CORE_dir)/$(UNBLKLST_CORE_ld_so_conf_file)
+
 # This is a hack to make sure that
 # the blacklist file is available
 # early in the boot process when
@@ -79,16 +102,16 @@
 PKG_libconfdir := lib/$(PKG_dirname)
 
 # Paths to the dirs from the installer
-SRC_libdir   := lib
-SRC_arch     := x86
-SRC_other_arch := x86_64
-SRC_xarch    := xpic
-
 ifeq ($(DEB_HOST_ARCH),amd64)
 	SRC_libdir  := lib64
 	SRC_arch    := x86_64
 	SRC_other_arch := x86
-	SRC_xarch   := $(SRC_xarch)_64a
+	SRC_xarch   := xpic_64a
+else
+	SRC_libdir   := lib
+	SRC_arch     := x86
+	SRC_other_arch := x86_64
+	SRC_xarch    := xpic
 endif
 
 #These "define" bits are needed for the blacklist file
@@ -135,19 +158,30 @@
 			 $(PKG_driver).install \
 			 $(PKG_driver_dev).install \
 			 $(PKG_driver_dev).links \
-			 $(PKG_control).install \
-			 $(PKG_driver).grub-gfxpayload \
 			 $(PKG_driver).dirs \
 			 $(PKG_driver).links \
 			 $(PKG_driver).postinst \
 			 $(PKG_driver).postrm \
 			 $(PKG_driver).preinst \
 			 $(PKG_driver).prerm \
-			 overrides/$(PKG_driver); do \
+			 $(PKG_control).install \
+			 $(PKG_control).dirs \
+			 $(PKG_driver_core).install \
+			 $(PKG_driver_core).links \
+			 $(PKG_driver_core).dirs \
+			 $(PKG_driver_core).postinst \
+			 $(PKG_driver_core).postrm \
+			 $(PKG_driver_core).preinst \
+			 $(PKG_driver_core).prerm \
+			 overrides/$(PKG_driver) \
+			 overrides/$(PKG_driver_dev) \
+			 overrides/$(PKG_driver_core) \
+			 overrides/$(PKG_control); do \
 		sed -e "s|#PKGXMODDIR#|$(PKG_xmoddir)|g" \
 			-e "s|#LIBDIR#|$(libdir)|g" \
 			-e "s|#LIBDIR32#|$(libdir32)|g" \
 			-e "s|#BINDIR#|$(bindir)|g" \
+			-e "s|#SBINDIR#|$(sbindir)|g" \
 			-e "s|#SYSCONFDIR#|$(sysconfdir)|g" \
 			-e "s|#MANDIR#|$(mandir)|g" \
 			-e "s|#LDSOCONF#|$(ld_so_conf_path)|g" \
@@ -171,11 +205,11 @@
 			-e "s|#DRIVERDIRNAME#|$(PKG_dirname)|g" \
 			-e "s|#DRIVERDEVNAME#|$(PKG_driver_dev)|g" \
 			-e "s|#DRIVERSRCNAME#|$(PKG_source)|g" \
+			-e "s|#DRIVERCORENAME#|$(PKG_driver_core)|g" \
 			-e "s|#FLAVOUR#|$(PKG_flavour)|g" \
 			-e "s|#DRIVERCTRLNAME#|$(PKG_control)|g" \
 			-e "s|#INCLUDEDIR#|$(includedir)|g" \
 			-e "s|#PKGLIBCONFDIR#|$(PKG_libconfdir)|g" \
-			-e "s|#GRUBBLKLISTDIR#|$(grub_blacklistdir)|g" \
 			-e "s|#PKGXMODDIR#|$(PKG_xmoddir)|g" \
 			-e "s|#PXDIR#|$(PX_dir)|g" \
 			-e "s|#PXDIR32#|$(PX_dir32)|g" \
@@ -185,51 +219,11 @@
 			-e "s|#PXLIBDIR32#|$(PX_libdir32)|g" \
 			-e "s|#PXLDSOCONF#|$(PX_ld_so_conf)|g" \
 			-e "s|#ALTPXLDSOCONF#|$(PX_ld_so_conf_alt)|g" \
+			-e "s|#COREDIRNAME#|$(CORE_dirname)|g" \
+			-e "s|#COREDIR#|$(CORE_dir)|g" \
+			-e "s|#COREDIR32#|$(CORE_dir32)|g" \
+			-e "s|#CORELDSOCONF#|$(CORE_ld_so_conf)|g" \
+			-e "s|#COREPRIORITY#|$(CORE_priority)|g" \
+			-e "s|#UNBLKCOREPRIORITY#|$(UNBLKLST_CORE_priority)|g" \
+			-e "s|#UNBLKCORELDSOCONF#|$(UNBLKLST_CORE_ld_so_conf)|g" \
 			-e "s|#CVERSION#|$(CVERSION)|g" \
-			-e "s|#SRCXARCH#|$(SRC_xarch)|g" \
-			-e "s|#SRCARCH#|$(SRC_arch)|g" \
-			-e "s|#SRCOTHERARCH#|$(SRC_other_arch)|g" \
-			-e "s|#SRCLIBDIR#|$(SRC_libdir)|g" \
-			-e "s|#DEB_HOST_MULTIARCH#|$(DEB_HOST_MULTIARCH)|g" \
-			-e "s|#OTHER_ARCH#|$(OTHER_ARCH)|g" \
-			debian/$$i.in > debian/$$i;      \
-	done
-
-build: build-arch
-build-arch: regen-from-templates
-	# remove exec bit on everything
-	find arch \
-		etc \
-		lib \
-		module \
-		usr \
-		$(SRC_xarch)     -type f | xargs chmod -x
-
-	# set executable on user apps
-	find arch/$(SRC_arch)/usr/sbin \
-		arch/$(SRC_arch)/usr/X11R6/bin \
-		usr/sbin/ -type f | xargs chmod a+x
-
-	# set exec bit on scripts
-	find lib etc debian -name "*.sh" -type f | xargs chmod +x
-
-	# set the permissions on the pxpress scripts
-	chmod 744 debian/pxpress/switch*
-
-	dh build
-
-.PHONY: gen-abi-substvars
-gen-abi-substvars:
-	# Generate the xserver ABI dependencies
-	cat debian/substvars >> debian/$(PKG_driver).substvars
-
-binary-arch: refresh_copyright gen-abi-substvars
-	#Steps that we can't easily represent in debhelper files or .in files yet
-
-	# Remove any libraries that may be caught by shell expansion
-	find . -name libGLE* | xargs rm -f
-	find . -name libEGL* | xargs rm -f
-
-ifeq ($(DEB_HOST_ARCH),amd64)
-	dh_install -p$(PKG_driver)    "arch/x86/usr/X11R6/lib/libAMD*.so*"           "$(PKG_libdir32)"
-	dh_install -p$(PKG_driver) "arch/x86/usr/X11R6/lib/*.*"           "$(PKG_libdir32)"
